> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm or reject a pending AI action (bearer token)



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/chat/actions/confirm
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/chat/actions/confirm:
    post:
      tags:
        - chat
      summary: Confirm or reject a pending AI action (bearer token)
      operationId: confirm_chat_action_endpoint_api_v1_chat_actions_confirm_post
      requestBody:
        content:
          application/json:
            schema:
              properties:
                action_id:
                  format: uuid
                  title: Action Id
                  type: string
                confirmed:
                  title: Confirmed
                  type: boolean
                force:
                  anyOf:
                    - type: boolean
                    - type: 'null'
                  title: Force
                force_reason:
                  anyOf:
                    - maxLength: 280
                      type: string
                    - type: 'null'
                  title: Force Reason
                reason:
                  anyOf:
                    - type: string
                    - type: 'null'
                  title: Reason
              required:
                - action_id
                - confirmed
              title: ConfirmChatActionRequest
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````